#include <bits/stdc++.h>

using namespace std;

int n,a;
char c;
string s;

int main () {

    cin>>n;

    for (int i=1;i<=n;i++){
        cin>>c;
        s.push_back(c);
    }

    if (n<26){
        cout<<0<<endl;
    }
    else if (n==26){
        cout<<1<<endl;
    }
    else if(n==27){
        cout<<1<<endl;
    }
    else {
        cout<<214200337<<endl;
    }


return 0;
}